import 'package:flutter/foundation.dart';

typedef ProductTitle = String;

@immutable
class Product {
  final ProductTitle title;
  final double price;

  String get priceAsString => price.toStringAsFixed(2);

  const Product({required this.title, required this.price});
}
